summaryrefslogtreecommitdiffstats
path: root/tests/posix/type_bind_mount.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-12-29 13:05:06 -0500
committerTavian Barnes <tavianator@tavianator.com>2022-12-29 13:05:24 -0500
commitb6859d7a6f7e0b3a3cb70fa75e7e46998e8f0f03 (patch)
tree9545197e6eec2423d6df2a2244ed759d24e0d9bd /tests/posix/type_bind_mount.sh
parent0040a91a6b3a192acfeec0ae1e24516b54ba872a (diff)
downloadbfs-b6859d7a6f7e0b3a3cb70fa75e7e46998e8f0f03.tar.xz
tests: Use bfs_sudo wrapper instead of testing $SUDO
Diffstat (limited to 'tests/posix/type_bind_mount.sh')
-rw-r--r--tests/posix/type_bind_mount.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/tests/posix/type_bind_mount.sh b/tests/posix/type_bind_mount.sh
index 2d913db..c9a161d 100644
--- a/tests/posix/type_bind_mount.sh
+++ b/tests/posix/type_bind_mount.sh
@@ -1,10 +1,9 @@
-test "$SUDO" || skip
test "$UNAME" = "Linux" || skip
clean_scratch
"$XTOUCH" scratch/{file,null}
-sudo mount --bind /dev/null scratch/null
-trap "sudo umount scratch/null" EXIT
+bfs_sudo mount --bind /dev/null scratch/null || skip
+trap "bfs_sudo umount scratch/null" EXIT
bfs_diff scratch -type c